import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpUnicomWhiteLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-07-12 14:50
 */
interface PpUnicomWhiteLotCU extends ConditionUtil<PpUnicomWhiteLotCU> {
    LOT_ID: FieldUtil<PpUnicomWhiteLotCU>;
    CREATE_TIME: FieldUtil<PpUnicomWhiteLotCU>;
}
declare class PpUnicomWhiteLotMU extends TableUtilImpl<PpUnicomWhiteLotCU, PpUnicomWhiteLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpUnicomWhiteLotCU;
    static get LOT_ID(): FieldUtil<PpUnicomWhiteLotCU>;
    static get CREATE_TIME(): FieldUtil<PpUnicomWhiteLotCU>;
    get LOT_ID(): FieldUtil<PpUnicomWhiteLotCU>;
    get CREATE_TIME(): FieldUtil<PpUnicomWhiteLotCU>;
}
export { PpUnicomWhiteLotMU, PpUnicomWhiteLotCU };
